Package org.apache.maven.shared.model.fileset.mappers

# Class MapperUtil

java.lang.Object
org.apache.maven.shared.model.fileset.mappers.MapperUtil

public final class MapperUtil extends Object
Element to define a FileNameMapper.

Version:
  $Id: MapperUtil.java 1721672 2015-12-25 13:18:36Z khmarbaise $

## Method Summary

Modifier and Type
Method
Description
`static FileNameMapper`
`getFileNameMapper(Mapper mapper)`
Returns a fully configured FileNameMapper implementation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getFileNameMapper

public static FileNameMapper getFileNameMapper(Mapper mapper) throws MapperException
Returns a fully configured FileNameMapper implementation.

Parameters:
  `mapper` - `Mapper`
Returns:
  `FileNameMapper`
Throws:
  `MapperException` - in case of an error.